Bug 1999656 - pipeline run count chart discrepancies with other chart values
Summary: pipeline run count chart discrepancies with other chart values
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.9
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 4.9.0
Assignee: Karthik Jeeyar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-31 13:59 UTC by Karthik Jeeyar
Modified: 2021-10-18 17:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:50:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9948 0 None None None 2021-08-31 14:00:13 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:50:44 UTC

Description Karthik Jeeyar 2021-08-31 13:59:18 UTC
Description of problem:

In Pipeline metrics page, there is a discrepancy in the success ratio and no.of pipeline run charts. Investigate and fix the discrepancy in the charts and make it consistent.


Version-Release number of selected component (if applicable):

4.9

How reproducible:

Always

Steps to Reproduce:
1. In long running , install pipelines operator and create pipeline and runs in a namespace.
2. create pipeline run again in the same namespace on the next day.

Actual results:
Pipeline success ratio count (5) mismatches with number of pipeline runs (10) chart.



Expected results:
There should not be any discrepancy in the metrics charts



Additional info:

Comment 4 spathak@redhat.com 2021-09-09 10:35:13 UTC
Verified on a long-running cluster with pipeline operator version: 1.5.1

Comment 7 errata-xmlrpc 2021-10-18 17:50:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.